KAS-DIFF(1)

NAME
kas-diff - kas diff plugin

SYNOPSIS

            kas diff [-h] [--skip STEP] [--force-checkout] [--update]
                     [--format {json,text}] [--oneline] [--no-color] [--commit-only]
                     [--content-only]
                     config1 config2

DESCRIPTION

Compare two kas configurations.

This plugin implements the kas diff command.

This plugin compares two kas configurations and outputs the differences. The diff includes both content differences in the configuration files and repository differences if commit IDs or tags have changed.

Additionally, you can use the --format json option to output the diff in JSON format.

Note:
        The text output of the plugin should not considered to be stable. If stable output is needed, use a machine readable format like json.

OPTIONS

Positional Arguments

    config1
        The first config file to be compared.

    config2
        The second config file to be compared.

Named Arguments

    --skip=[]
        Skip build steps. To skip more than one step, use this argument multiple times.

        Possible choices: setup_dir, setup_home, make_non_interactive, init_setup_repos, repo_setup_loop, finish_setup_repos, repos_checkout, repos_apply_patches, setup_environ, write_bbconfig

    --force-checkout=False
        Always checkout the desired commit/branch/tag of each repository, discarding any local changes

    --update=False
        Pull new upstream changes to the desired branch even if it is already checked out locally

    --format='text'
        Diff output format (default: text)

        Possible choices: json, text

    --oneline=False
        Use git oneline output for differing commits.

    --no-color=False
        Disable colored highlighting of diffs.

    --commit-only=False
        This will not display the differences in the kas configurations; it will only list commits resulting from different repository revisions.

    --content-only=False
        This will only display the differences in the kas configurations and will not include repository differences.

SEE ALSO

kas-project-config(1), kas-checkout(1), kas-lock(1), kas-build(1)

KAS

Part of the kas(1) suite.

Author
Daniel Wagner, Jan Kiszka, Claudius Heine

Copyright
Siemens and contributors, 2017-2025